local STRINGS = GLOBAL.STRINGS
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS


PrefabFiles = {
	"physalis",

}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/physalis.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/physalis.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/physalis.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/physalis.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/physalis_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/physalis_silho.xml" ),

    Asset( "IMAGE", "bigportraits/physalis.tex" ),
    Asset( "ATLAS", "bigportraits/physalis.xml" ),

	Asset("IMAGE", "images/physalismini.tex"),
	Asset("ATLAS", "images/physalismini.xml"),

	Asset( "IMAGE", "images/avatars/avatar_physalis.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_physalis.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_physalis.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_physalis.xml" ),
	
	Asset( "IMAGE", "images/avatars/self_inspect_physalis.tex" ),
    Asset( "ATLAS", "images/avatars/self_inspect_physalis.xml" ),
	
	Asset( "IMAGE", "images/names_physalis.tex" ),
    Asset( "ATLAS", "images/names_physalis.xml" ),
	
    Asset( "IMAGE", "bigportraits/physalis_none.tex" ),
    Asset( "ATLAS", "bigportraits/physalis_none.xml" ),

	
	Asset("SOUNDPACKAGE", "sound/physalis.fev"),	
	Asset("SOUND", "sound/physalis.fsb"),

}

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.PHYSALIS = require "speech_physalis"

AddMinimapAtlas("images/physalismini.xml")
	GLOBAL.physalis_voice = GetModConfigData("physalis")
	
	RemapSoundEvent( "dontstarve/characters/physalis/death_voice", "physalis/characters/physalis/death_voice" )
	RemapSoundEvent( "dontstarve/characters/physalis/hurt", "physalis/characters/physalis/hurt" )
	RemapSoundEvent( "dontstarve/characters/physalis/talk_LP", "physalis/characters/physalis/talk_LP" )
	RemapSoundEvent( "dontstarve/characters/physalis/ghost_LP", "physalis/characters/physalis/ghost_LP" )
	RemapSoundEvent( "dontstarve/characters/physalis/yawn", "physalis/characters/physalis/yawn" )
	RemapSoundEvent( "dontstarve/characters/physalis/pose", "physalis/characters/physalis/pose" )
	RemapSoundEvent( "dontstarve/characters/physalis/emote", "physalis/characters/physalis/emote" )
	RemapSoundEvent( "dontstarve/characters/physalis/eye_rub_vo", "physalis/characters/physalis/eye_rub_vo" )



table.insert(GLOBAL.CHARACTER_GENDERS.FEMALE, "physalis")

STRINGS.CHARACTERS.GENERIC.DESCRIBE.PHYSALIS = 
{
	GENERIC = "You sure are a strange element of evolutuionary progress, %s.",
	ATTACKER = "Are you trying to disease us %s!?",
	MURDERER = "That does it! As sciency as you are, you are dangerous and must be contained!",
	REVIVER = "%s, friend of ghosts.",
	GHOST = "I'll bring you back! I'm working on it!",
	FIRESTARTER = "Burning that wasn't very nice, %s.",
}
STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.PHYSALIS = 
{
	GENERIC = "That is the largest protozoa I have ever seen. It appears to assume a human like shape.",
	ATTACKER = "She may be just as dangerous as the microbial ones at this rate!",
	MURDERER = "We shall be cured of your terror %s.",
	REVIVER = "Thank you %s, perhaps you are not as much of a disease as I thought.",
	GHOST = "Well I wasn't expecting you to die like that. I shall fix it soon.",
        FIRESTARTER = "%s, what have I told you about lighting fires?",
}
STRINGS.CHARACTERS.WAXWELL.DESCRIBE.PHYSALIS = 
{
	GENERIC = "I'm not an evil dictator anymore! I promise %s!",
	ATTACKER = "You'll only become just as slimy as your enemies that way %s...",
	MURDERER = "I'll show you the power of shadowplasm!",
            REVIVER = "%s tethers lost spirits to this world.",
            GHOST = "%s needs heart-shaped assistance.",
            FIRESTARTER = "Why would you even burn that %s?",
}
STRINGS.CHARACTERS.WOODIE.DESCRIBE.PHYSALIS = 
{
	GENERIC = "A wiggly lady made of jello? Don't trust her...",
	ATTACKER = "It's a super virus!",
	MURDERER = "They made us sick, now they're getting personal!",
            REVIVER = "%s, you're an alright sort.",
            GHOST = "Someone should rub a heart on %s.",
            FIRESTARTER = "Oh great, the jello's burning my lumberage.",
}
STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.PHYSALIS = 
{
	GENERIC = "Is jelly girl %s! Hello!",
	ATTACKER = "Do not fight Wolfgang! You have no muscles!",
	MURDERER = "I am muscle cell!",
            REVIVER = "Jelly girl %s is nice girl.",
            GHOST = "Wolfgang thinks can maybe bring back hat kid!",
            FIRESTARTER = "%s, be careful with fire! Is dangerous!",
}
STRINGS.CHARACTERS.WILLOW.DESCRIBE.PHYSALIS = 
{
	GENERIC = "A girl made of water %s? What is this?",
	ATTACKER = "You'd better not be here to teach me about fire saftey %s!",
	MURDERER = "I'll cook you til' you evaporate!",
	REVIVER = "You do care!",
	GHOST = "Maybe I should bring her back.",
	FIRESTARTER = "Well hey! Maybe you like to boil things %!",
}
STRINGS.CHARACTERS.WENDY.DESCRIBE.PHYSALIS = 
{
	GENERIC = "A germ, given sentience with unexpected consequences.",
	ATTACKER = "The amoeba is just as deadly in this form.",
	MURDERER = "You are a pox to our cause %s...",
			REVIVER = "Thank you kind, %s.",
			GHOST = "A heart could bring back my friend, %s...",
            FIRESTARTER = "Perhaps her watery body is why she does not fear fire.",
}
STRINGS.CHARACTERS.WX78.DESCRIBE.PHYSALIS = 
{
	GENERIC = "DETECTING... %s!",
	ATTACKER = "DIE AMOEBA DIE",
	MURDERER = "YOU CANNOT WIN PROTOPLASM",
            REVIVER = "%s RESSURECTS THOSE WITH MITOSIS.",
            GHOST = "THE PROGRAMMER %s NEEDS A HEART.",
            FIRESTARTER = "%s IS CAUSING NEEDLESS DESTRUCTION. GOOD",
}
--STRINGS.CHARACTERS.WES.DESCRIBE.PHYSALIS = (" ")

AddPrefabPostInit("forest", function(inst)
        if STRINGS.CHARACTERS.WATHGRITHR then
STRINGS.CHARACTERS.WATHGRITHR.DESCRIBE.PHYSALIS = 
{
	GENERIC = "Greetings %s. Maiden of water!",
	ATTACKER = "What was that!? Be this an opportunity to literally fight a disease?",
	MURDERER = "You are nothing but a mere mook %s!",
            REVIVER = "%s, for your good deed, perhaps you to may find peace in Valhalla one day.",
            GHOST = "Perhaps she died too soon, we must bring her back.",
            FIRESTARTER = "You aspire to become a fire wielder %s?",
}
end
        if STRINGS.CHARACTERS.WEBBER then
STRINGS.CHARACTERS.WEBBER.DESCRIBE.PHYSALIS = 
{
	GENERIC = "You sure are wibbly %s.",
	ATTACKER = "Don't make us sick %s!",
	MURDERER = "It's time to play doctor on %s!",
	REVIVER = "%s found niceness with her wibbly wobbliness.",
	GHOST = "Don't worry, %s! Our spider friends will help bring you back!",
            FIRESTARTER = "That's not how you hold a torch %s!",
}
        end
        if STRINGS.CHARACTERS.WINONA then
STRINGS.CHARACTERS.WINONA.DESCRIBE.PHYSALIS = 
{
	GENERIC = "You're a what now %s?",
	ATTACKER = "That creeping slipping lady blob looks dangerous!",
	MURDERER = "That's enough raining on my site whatever you are!",
	REVIVER = "Aren't you a sweet little gelatin!",
	GHOST = "She deserves another chance at life!",
            FIRESTARTER = "If you're made of water, why're ya burning my site!?",
}
        end
end)

GLOBAL.STRINGS.NAMES.PHYSALIS = "Physalis"
--
AddModCharacter("physalis", "FEMALE")
